- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnBlinnShader Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Manage Blinn shaders.

MFnBlinnShader facilitates creation and manipulation of dependency graph nodes representing Blinn shaders.

`#include <MFnBlinnShader.h>`

Inheritance diagram for MFnBlinnShader:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnBlinnShader ()
| Destructor.
| MFnBlinnShader ()
| Default constructor.
| MFnBlinnShader (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (bool UIvisible=true, MStatus *ReturnStatus=NULL)
| Creates a new blinn shader dependency graph node and adds it to the dependency graph.
float | eccentricity (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "eccentricity" attribute of a blinn shader node.
MStatus | setEccentricity (const float &eccentricity)
| Sets the value of the "eccentricity" attribute of a shader node.
float | specularRollOff (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "specularRollOff" attribute of a blinn shader node.
MStatus | setSpecularRollOff (const float &specular_rolloff)
| Sets the value of the "specularRollOff" attribute of a shader node.
| MFnBlinnShader (const MObject &object, MStatus *ReturnStatus=NULL)
| NO SCRIPT SUPPORT.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnBlinnShader | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnBlinnShader | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

NO SCRIPT SUPPORT.

Class constructor that initializes the function set to the given MObject.

Constructor

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kBlinn.

Reimplemented from MFnReflectShader.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnBlinnShader".

Reimplemented from MFnReflectShader.

MObject create | ( | bool | UIvisible = `true`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new blinn shader dependency graph node and adds it to the dependency graph.

If the UIvisible parameter is true, the new node will be connected to the shader classification node (which allows the UI to recognize the node as a shader). If UIvisible is false, the node will be created in isolation.

Parameters:

  [in] | UIvisible | determines whether or not the new node will be connected to the shader classification node.
  [out] | ReturnStatus | return status

Returns:
  MObject representing the new dependency node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory ran out of memory
  - MS::kNoModelActive no model is currently active
  - MS::kLicenseFailure application not licensed for attempted operation
  - MS::kFailure the new node could not be created, or the new node could not be added to the dependency graph, or the new node could not be connected to the classification node.

Reimplemented from MFnLambertShader.

float eccentricity | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "eccentricity" attribute of a blinn shader node.

This attribute determines the size of the highlight produced by the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "eccentricity" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setEccentricity | ( | const float & | eccentr | ) |

Search for all occurrences

Sets the value of the "eccentricity" attribute of a shader node.

Parameters:

  [in] | eccentr | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

float specularRollOff | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "specularRollOff" attribute of a blinn shader node.

This attribute controls the increased oblique angle reflectivity of the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "specularRollOff" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setSpecularRollOff | ( | const float & | specular_rolloff | ) |

Search for all occurrences

Sets the value of the "specularRollOff" attribute of a shader node.

Parameters:

  [in] | specular_rolloff | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader
MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader MFnBlinnShader